Scenarios / Notes
Retrieves a collection of all scenario notes for a team and organization with a given ID. Returned notes are sorted by their id in descending order.
Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.
If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.
The ID of the scenario. You can get the scenarioId with the List scenarios API call.
112The unique ID of the team whose scenarios folders will be retrieved.
111Successful response
GET /api/v2/scenarios/{scenarioId}/notes?teamId=1 HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
Successful response
{
"notes": [
{
"id": 4,
"scenarioId": 19,
"moduleIds": [
1
],
"metadata": {
"color": "#9138FE"
},
"content": "<p>This is a test note</p>",
"created": "2025-09-01T12:58:42.994Z",
"updated": null,
"isFilterNote": false,
"createdByUser": {
"id": 2,
"name": "John Doe",
"email": "j.doe@make.com"
},
"updatedByUser": {}
}
]
}Creates a new scenario note with data passed in the request body. As the response, it returns all details of the created scenario note.
Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.
If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.
Created a Note
POST /api/v2/scenarios/{scenarioId}/notes HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Content-Type: application/json
Accept: */*
Content-Length: 108
{
"moduleIds": [
1
],
"metadata": {
"color": "#9138FE"
},
"content": "<p>This is a test note</p>",
"isFilterNote": false
}Created a Note
{
"note": {
"id": 4,
"scenarioId": 19,
"moduleIds": [
1
],
"metadata": {
"color": "#9138FE"
},
"content": "<p>This is a test note</p>",
"created": "2025-09-01T12:58:42.994Z",
"updated": null,
"isFilterNote": false,
"createdByUser": {
"id": 2,
"name": "John Doe",
"email": "j.doe@make.com"
},
"updatedByUser": {}
}
}Retrieves all available properties of a scenario note with a given ID.
Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.
If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.
The ID of the scenario. You can get the scenarioId with the List scenarios API call.
112The ID of the scenario module note.
4The unique ID of the team whose scenarios folders will be retrieved.
111Successful response
GET /api/v2/scenarios/{scenarioId}/notes/{noteId}?teamId=1 HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
Successful response
{
"note": {
"id": 4,
"scenarioId": 19,
"moduleIds": [
1
],
"metadata": {
"color": "#9138FE"
},
"content": "<p>This is a test note</p>",
"created": "2025-09-01T12:58:42.994Z",
"updated": null,
"isFilterNote": false,
"createdByUser": {
"id": 2,
"name": "John Doe",
"email": "j.doe@make.com"
},
"updatedByUser": {}
}
}Deletes a scenario note with a given ID and returns the ID in the response.
Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.
If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.
The ID of the scenario. You can get the scenarioId with the List scenarios API call.
112The ID of the scenario module note.
4The unique ID of the team whose scenarios folders will be retrieved.
111Successful response
DELETE /api/v2/scenarios/{scenarioId}/notes/{noteId}?teamId=1 HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
Successful response
{
"id": 123
}Updates a scenario note with a given ID by passing new values in the request body. Any property that is not provided will be left unchanged. In the response, it returns all details of the updated note including properties that were not changed.
Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.
If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.
The ID of the scenario. You can get the scenarioId with the List scenarios API call.
112The ID of the scenario module note.
4The unique ID of the team whose scenarios folders will be retrieved.
111Note updated
PATCH /api/v2/scenarios/{scenarioId}/notes/{noteId}?teamId=1 HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Content-Type: application/json
Accept: */*
Content-Length: 108
{
"moduleIds": [
1
],
"metadata": {
"color": "#9138FE"
},
"content": "<p>This is a test note</p>",
"isFilterNote": false
}Note updated
{
"note": {
"id": 4,
"scenarioId": 19,
"moduleIds": [
1
],
"metadata": {
"color": "#9138FE"
},
"content": "<p>This is a test note</p>",
"created": "2025-09-01T12:58:42.994Z",
"updated": null,
"isFilterNote": false,
"createdByUser": {
"id": 2,
"name": "John Doe",
"email": "j.doe@make.com"
},
"updatedByUser": {}
}
}Last updated

